Skip to main content
GET
/
v3
/
models
/
{model_id}
/
columns
Details of all columns
curl --request GET \
  --url https://{host}/v3/models/{model_id}/columns \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "name": "<string>",
        "id": "<string>",
        "min": 123,
        "max": 123,
        "categories": [
          "<string>"
        ],
        "bins": [
          123
        ],
        "replace_with_nulls": [
          "<string>"
        ],
        "n_dimensions": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_id
string<uuid>
required

model id path parameter

Response

Details of all columns for a model

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object